jclouds-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Gaul (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (JCLOUDS-1402) openjdk9 - An illegal reflective access operation has occurred
Date Thu, 05 Apr 2018 16:30:00 GMT

    [ https://issues.apache.org/jira/browse/JCLOUDS-1402?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16427213#comment-16427213
] 

Andrew Gaul commented on JCLOUDS-1402:
--------------------------------------

Guice 4.2 depends on Guava 23 which jclouds does not have compatibility with.  This is an
ongoing sore which we may upgrade jclouds Guava to address.

> openjdk9 - An illegal reflective access operation has occurred
> --------------------------------------------------------------
>
>                 Key: JCLOUDS-1402
>                 URL: https://issues.apache.org/jira/browse/JCLOUDS-1402
>             Project: jclouds
>          Issue Type: Bug
>          Components: jclouds-core
>    Affects Versions: 2.1.0
>         Environment: $ uname -r
> 4.15.14-1-ARCH
> $ archlinux-java status
> Available Java environments:
>   java-9-openjdk (default)
>            Reporter: Mathieu Tortuyaux
>            Priority: Major
>
> Hi ! 
> While trying to run [this example|https://github.com/jclouds/jclouds-examples/blob/master/google-lb/src/main/java/org/jclouds/examples/google/lb/MainApp.java],
I got the following warning: 
> {noformat}
> WARNING: An illegal reflective access operation has occurred
> WARNING: Illegal reflective access by com.google.inject.internal.cglib.core.$ReflectUtils$2
(file:/home/mathieu/Desktop/lab/jclouds-optel/test/target/cloud-scheduler-1.0-SNAPSHOT-shaded.jar)
to method java.lang.ClassLoader.defineClass(java.lang.String,byte[],int,int,java.security.ProtectionDomain)
> WARNING: Please consider reporting this to the maintainers of com.google.inject.internal.cglib.core.$ReflectUtils$2
> WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access
operations
> WARNING: All illegal access operations will be denied in a future release
> {noformat}
> After a few searches, I found that this is a known issue caused by Google/Guice and one
one his dependency: cglib. It has been fixed in Google/Guice release 4.2. But jclouds-core
is using Google/Guice release 3.0
> {noformat}
> $ mvn dependency:tree | grep guice -B 2
> [INFO] |  |  \- org.apache.jclouds:jclouds-core:jar:2.1.0:compile
> [INFO] |  |     +- javax.ws.rs:javax.ws.rs-api:jar:2.0.1:compile
> [INFO] |  |     +- com.google.inject.extensions:guice-assistedinject:jar:3.0:compile
> [INFO] |  |     +- com.google.inject:guice:jar:3.0:compile
> {noformat}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message